<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
String redirect = ParamUtil.getString(request, "redirect");

long wsrpConsumerPortletId = ParamUtil.getLong(request, "wsrpConsumerPortletId");

WSRPConsumerPortlet wsrpConsumerPortlet = WSRPConsumerPortletLocalServiceUtil.fetchWSRPConsumerPortlet(wsrpConsumerPortletId);

long wsrpConsumerId = BeanParamUtil.getLong(wsrpConsumerPortlet, request, "wsrpConsumerId");
String portletHandle = BeanParamUtil.getString(wsrpConsumerPortlet, request, "portletHandle");

WSRPConsumer wsrpConsumer = WSRPConsumerLocalServiceUtil.getWSRPConsumer(wsrpConsumerId);

WSRPConsumerManager wsrpConsumerManager = WSRPConsumerManagerFactoryUtil.getWSRPConsumerManager(wsrpConsumer);

ServiceDescription serviceDescription = wsrpConsumerManager.getServiceDescription();

PortletDescription[] portletDescriptions = serviceDescription.getOfferedPortlets();

portletDisplay.setShowBackIcon(true);
portletDisplay.setURLBack(redirect);

renderResponse.setTitle(((wsrpConsumerPortlet == null) ? LanguageUtil.get(request, "new-portlet") : wsrpConsumerPortlet.getName()));
%>

<portlet:actionURL name="updateWSRPConsumerPortlet" var="updateWSRPConsumerPortletURL" />

<aui:form action="<%= updateWSRPConsumerPortletURL %>" cssClass="container-fluid-1280" method="post" name="fm" onSubmit='<%= "event.preventDefault(); " + renderResponse.getNamespace() + "saveConsumerPortlet();" %>'>
	<aui:input name="mvcPath" type="hidden" value="/admin/edit_consumer_portlet.jsp" />
	<aui:input name="redirect" type="hidden" value="<%= redirect %>" />
	<aui:input name="wsrpConsumerPortletId" type="hidden" value="<%= wsrpConsumerPortletId %>" />
	<aui:input name="wsrpConsumerId" type="hidden" value="<%= wsrpConsumerId %>" />

	<liferay-ui:error exception="<%= WSRPConsumerPortletHandleException.class %>" message="please-enter-a-valid-remote-portlet" />
	<liferay-ui:error exception="<%= WSRPConsumerPortletNameException.class %>" message="please-enter-a-valid-name" />

	<aui:model-context bean="<%= wsrpConsumerPortlet %>" model="<%= WSRPConsumerPortlet.class %>" />

	<aui:fieldset-group markupView="lexicon">
		<aui:fieldset>
			<aui:input name="name" />

			<aui:select label="remote-portlet" name="portletHandle">
				<aui:option value="" />

				<c:if test="<%= portletDescriptions != null %>">

					<%
					for (PortletDescription portletDescription : portletDescriptions) {
						try {
							WSRPConsumerPortletLocalServiceUtil.getWSRPConsumerPortlet(wsrpConsumer.getWsrpConsumerId(), portletDescription.getPortletHandle());
						}
						catch (NoSuchConsumerPortletException nscpe) {
					%>

							<aui:option label="<%= wsrpConsumerManager.getDisplayName(portletDescription) %>" selected="<%= portletHandle.equals(portletDescription.getPortletHandle()) %>" value="<%= portletDescription.getPortletHandle() %>" />

					<%
						}
					}
					%>

				</c:if>
			</aui:select>
		</aui:fieldset>
	</aui:fieldset-group>

	<aui:button-row>
		<aui:button cssClass="btn-lg" type="submit" />

		<aui:button cssClass="btn-lg" href="<%= redirect %>" type="cancel" />
	</aui:button-row>
</aui:form>

<aui:script>
	function <portlet:namespace />saveConsumerPortlet() {
		submitForm(document.<portlet:namespace />fm);
	}

	Liferay.Util.focusFormField(document.<portlet:namespace />fm.<portlet:namespace />name);
</aui:script>

<%
PortletURL viewConsumerPortletsURL = renderResponse.createRenderURL();

viewConsumerPortletsURL.setParameter("mvcPath", "/admin/view_consumer_portlets.jsp");
viewConsumerPortletsURL.setParameter("wsrpConsumerId", String.valueOf(wsrpConsumer.getWsrpConsumerId()));

PortalUtil.addPortletBreadcrumbEntry(request, LanguageUtil.get(request, "manage-portlets"), viewConsumerPortletsURL.toString());

if (wsrpConsumerPortlet != null) {
	PortalUtil.addPortletBreadcrumbEntry(request, LanguageUtil.get(request, "edit"), currentURL);
}
else {
	PortalUtil.addPortletBreadcrumbEntry(request, LanguageUtil.get(request, "add-portlet"), currentURL);
}
%>